OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.DrawTexture

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetNVDrawTexture :: MonadIO m => m Bool
- gl_NV_draw_texture :: Bool
- glDrawTextureNV :: MonadIO m => GLuint -> GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()

# Extension Support

glGetNVDrawTexture :: MonadIO m => m Bool

Is the NV_draw_texture extension supported?

gl_NV_draw_texture :: Bool

Is the NV_draw_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVDrawTexture` in those cases instead.

# Functions

glDrawTextureNV

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLuint | `sampler`.
-> GLfloat | `x0`.
-> GLfloat | `y0`.
-> GLfloat | `x1`.
-> GLfloat | `y1`.
-> GLfloat | `z`.
-> GLfloat | `s0`.
-> GLfloat | `t0`.
-> GLfloat | `s1`.
-> GLfloat | `t1`.
-> m () |